Subject: Re: [X2Go-Dev] Bug#648: Python X2Go for Mac OS X
From: Mike Gabriel <[email-masked]>
To: [email-masked]
Date: Mon, 08 Jan 2024 21:35:31 +0000

Control: close -1

On  Mo 20 Okt 2014 23:05:48 CEST, Mike Gabriel wrote:

> Package: python-x2go
> Severity: wishlist
> Version: 0.5.0.1
>
> Hi all,
>
> below is a recipe to get Python X2Go flying on Mac OS X (up to 10.10).
>
> Mike
>
>
> ----- Weitergeleitete Nachricht von Pedro Pinto <[email-masked]> -----
>   Datum: Mon, 20 Oct 2014 14:01:32 -0700
>     Von: Pedro Pinto <[email-masked]>
> Betreff: Re: Python X2Go for Mac OS X
>      An: Mike Gabriel <[email-masked]>
>
> Hi Mike,
>
> Thanks for your help over the weekend.
>
>
>> Have you had success already with monkey patching Xlib? Is the  
>> nxproxy build working on Yosemite?
>
> Indeed, with your help I was able to patch Xlib and recompile  
> nxproxy, so that python-x2go works on yosemite!
>
>
>> here is a short reminder message for sending me the diff between  
>> Python X2Go 0.4.0.8 and your fork for Mac OS X.
>
> My fork of Python X2GO 0.4.0.8 is quite modified to tailor the  
> specifics of the product my company is working on
> (https://www.lytmus.io/ <https://www.lytmus.io/>), but the basic  
> changes to get it working on Mac and Yosemite are trivial, and I  
> have included them below.
> By the way, I’m happy to test the new release of Python X2go 0.5  
> over the next weekend, just let me know.
>
>
> Python-Xlib 0.15rc1
> Replace two instances of:
> 	host.startswith('/tmp/')   	——>         host.startswith('/')
>
>
> NXproxy
> Apply this patch and recompile:
> http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=b0727a02ff417b3983b10e02dbc1eb9a4878b2ac  
> <http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=b0727a02ff417b3983b10e02dbc1eb9a4878b2ac>
> Neverpanic helped me recompile nxproxy and nxcomp.
>
>
> python x2go 0.4.0.8
> You just need to specify the path to the nxproxy file on the Mac package.
> The code below is specific to how I package my app (I use py2app).
>
>     else:
> 	self.PROXY_CMD = "/usr/bin/nxproxy
>
> 	——>
>
>
>         elif _X2GOCLIENT_OS == 'Darwin':
>             if hasattr(sys, 'frozen'):    # if client app is frozen
>                 self.PROXY_CMD = join(os.environ['RESOURCEPATH'], 'nxproxy')
>             else:
>                 self.PROXY_CMD = join(x2go_abs, 'contrib', 'mac’,  
> nxproxy', 'nxproxy')
>
>      elif _X2GOCLIENT_OS == 'Linux':
>             if hasattr(sys, 'frozen'):    # if client app is frozen
>                 self.PROXY_CMD = join(os.environ['RESOURCEPATH'],  
> 'nxproxy', 'start_nxproxy')
>             else:
>                 self.PROXY_CMD = join(x2go_abs, 'contrib', 'linux’,  
> 'nxproxy', 'start_nxproxy')
>
> ----- Ende der weitergeleiteten Nachricht -----
>

Filed as MR at
https://gitlab.x2go.org/x2go/client/libs/python-x2go/-/merge_requests/6

Thus, closing the bug in old BTS system.

-- 

DAS-NETZWERKTEAM
c\o Technik- und Ökologiezentrum Eckernförde
Mike Gabriel, Marienthaler Str. 17, 24340 Eckernförde
mobile: +49 (1520) 1976 148
landline: +49 (4351) 850 8940

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: [email-masked], http://das-netzwerkteam.de